# Customisation tips

{% hint style="success" %}
Using Blank Child Theme?&#x20;

* Then add the code in Blank Child Theme's function.php file

Not Using Blank Child Theme?

* Paste code in wp-admin > Plugins > Editor > Select WPLMS Customizer Plugin > wplms-customizer.php
  {% endhint %}

### Tip 1: Change Icons of components in PWA

{% embed url="<https://wplms.io/support/knowledge-base/change-icon-of-any-module-in-pwa-screen/>" %}

### Tip 2: Adding A Youtube Preview Video In Profile

{% embed url="<https://wplms.io/support/knowledge-base/adding-a-youtube-preview-video-in-profile/>" %}

### Tip 3: Show Link Of Quiz in Curriculum

In course page, curriculum does not show links by default. This tip shows links to quizzes in the curriculum

```
add_filter('bp_course_get_full_course_curriculum',function($curriculum_items){
foreach($curriculum_items as $i=>$item){
if($item['type'] == 'quiz'){
$curriculum_items[$i]['link'] = get_permalink($item['id']);
}
}
return $curriculum_items;
});
```

### Tip 4:  ReOrder Zoom Meeting Tabs

```
add_filter('vibe_zoom_script_args',function($tabs){
   $tabs['shared_tabs']=array(
        'course'=>_x('Course','vibe-zoom'),
        'shared'=>_x('Shared ','vibe-zoom'),
        'group'=>_x('Group','vibe-zoom'),
   );
   return $tabs;
});
```

### Tip 5: Add Custom Icons in Unit in wplms 4

```
add_filter('wplms_get_element_icon',function($icon,$component_name){
        if($component_name == 'jitsi'){//jitsi is your component name, change accordingly
            return '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1" stroke-linecap="round" stroke-linejoin="round" class="feather feather-video"><polygon points="23 7 16 12 23 17 23 7"></polygon><rect x="1" y="5" width="15" height="14" rx="2" ry="2"></rect></svg>';
        }
        return $icon;
    },10,2);
```

#### <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wplms.io/developer-guide/customisation-tips.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
